Web lists-archives.com

Re: Old submodules broken in 2.19rc1 and 2.19rc2




On Fri, Sep 7, 2018 at 2:53 AM Allan Sandfeld Jensen <allan.jensen@xxxxx> wrote:
>
> Submodules checked out with older versions of git not longer works in the
> latest 2.19 releases. A "git submodule update --recursive" command wil fail
> for each submodule with a line saying "fatal: could not open
> '<submodule>/.git' for writing> Is a directory.

Can you run the update again with

    GIT_TRACE=1 git submodule update ....

and post the output?

I have the suspicion that e98317508c0 (submodule:
ensure core.worktree is set after update, 2018-06-18)
might be the offender.

Could you try reverting that commit and check as well?

    git clone https://github.com/git/git && cd git
    git revert e98317508c0
    make install # installs to you home dir at ~/bin

and then try again, as well?
(though bisection may be more fruitful if this doesn't pan out)